- Create Field
- Get Field Properties
- Get Tabs By Level
- Get Tabs And Groups
- Get Fields
- Update Field Properties
- Update Field Group
- Update Field Tab
- Update Tab Icon
- Update Field
- Delete Field Group
- Delete Field Tab
- Delete Field
POST /api/v1/governance/fieldCreate a new fieldResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field-propertyGet all fields for a given field_tab_id with optional level and entity_id filtersResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get all fields for a given field_tab_id with optional level and entity_id filters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/tabs-by-levelGet tabs based on the level of fields associated with themResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-by-level" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get tabs based on the level of fields associated with them",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"level": "asset",
"tabs": [
{
"id": "8bf23e8f-9637-40f4-a0fb-5210f35d5119",
"name": "Governance",
"icon": null
}
]
}
}
GET /api/v1/governance/field/tabs-groupsGet all field tabs and groupsResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-groups" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all field tabs and groups",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"tab": [
{
"id": "8bf23e8f-9637-40f4-a0fb-5210f35d5119",
"name": "Governance",
"icon": null
}
],
"group": [
{
"id": "ca07920d-1a23-467b-95d3-8a2023d4728b",
"name": "Business & Ownership"
}
]
}
}
POST /api/v1/governance/field/listGet fields with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Last Reviewed At".string
Example:
"Date and time when the metric was last reviewed.".string
Example:
"datetime".string
Example:
"metric".object[]
integer
Example:
4.boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.string
Example:
"63557738-968c-48b0-972a-134db22ca6d8".string
Example:
"ca07920d-1a23-467b-95d3-8a2023d4728b".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"933366ef-72c5-4844-b81e-a62bacbf6350".string
Example:
"2026-09-16T17:01:29.978819Z".string
Example:
"2026-09-16T17:01:29.978871Z".string
Example:
"grid".integer
Example:
18.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get fields with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Last Reviewed At",
"description": "Date and time when the metric was last reviewed.",
"data_type": "datetime",
"level": "metric",
"options": [],
"display_order": 4,
"is_created": false,
"is_active": true,
"is_delete": false,
"field_tab_id": "63557738-968c-48b0-972a-134db22ca6d8",
"field_group_id": "ca07920d-1a23-467b-95d3-8a2023d4728b",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"modified_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"id": "933366ef-72c5-4844-b81e-a62bacbf6350",
"created_at": "2026-09-16T17:01:29.978819Z",
"modified_at": "2026-09-16T17:01:29.978871Z",
"icon": "grid"
}
],
"total_count": 18,
"metrics": []
}
}
POST /api/v1/governance/field-property/updateUpdate or create a field propertyResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property/update" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update or create a field property",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-groupUpdate a field groupResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-group" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a field group",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-tabUpdate a field tabResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-tab-iconUpdate the icon of a field tabResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab-icon" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update the icon of a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/field/{fieldId}Update a fieldPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/delete-groupDelete a field groupResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-group" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Delete a field group",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/delete-tabDelete a field tabResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-tab" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Delete a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/field/{fieldId}Delete a fieldPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}